Loading...
Searching...
No Matches
libdar::crit_in_place_data_dirty Class Reference
API

return true if the entry is a dirty file (or hard linked dirty file) More...

`#include <criterium.hpp>`

Inherits libdar::criterium.

## Public Member Functions

| crit_in_place_data_dirty (const crit_in_place_data_dirty &ref)=default
| crit_in_place_data_dirty (crit_in_place_data_dirty &&ref) noexcept=default
crit_in_place_data_dirty & | operator= (const crit_in_place_data_dirty &ref)=default
crit_in_place_data_dirty & | operator= (crit_in_place_data_dirty &&ref) noexcept=default
virtual bool | evaluate (const cat_nomme &first, const cat_nomme &second) const override
| criterum interface method
virtual criterium * | clone () const override
| clone construction method
Public Member Functions inherited from libdar::criterium
| criterium (const criterium &ref)=default
| criterium (criterium &&ref) noexcept=default
criterium & | operator= (const criterium &ref)=default
criterium & | operator= (criterium &&ref) noexcept=default

## Detailed Description

return true if the entry is a dirty file (or hard linked dirty file)

Definition at line 261 of file criterium.hpp.

## Constructor & Destructor Documentation

## crit_in_place_data_dirty()

libdar::crit_in_place_data_dirty::crit_in_place_data_dirty | ( |  | ) |

inline

Definition at line 264 of file criterium.hpp.

## Member Function Documentation

## clone()

virtual criterium * libdar::crit_in_place_data_dirty::clone | ( |  | ) | const

inline override virtual

clone construction method

Returns
  a new object of the same type,

Note
  this method must be implemented in all the leaf classes of the class hierarchy rooted at the criterium class

Implements libdar::criterium.

Definition at line 272 of file criterium.hpp.

## evaluate()

virtual bool libdar::crit_in_place_data_dirty::evaluate | ( | const cat_nomme & | first,
|  | const cat_nomme & | second ) const

override virtual

criterum interface method

Parameters

  [in] | first | entry to compare with the following (this is the original or 'in place' entry)
  [in] | second | the other entry to compare with the previous one (this is the new entry to add)

Returns
  the result of the criterium evaluation (true or false)

Implements libdar::criterium.

The documentation for this class was generated from the following file:

- criterium.hpp